| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Lib.Old.IReporter Interface Reference

Interface from which all reporters inherit. More...

Inheritance diagram for IG.Lib.Old.IReporter:
[legend]

## Public Member Functions
void | Init ()
| Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null. More...
void | Init (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate, ReserveReportErrorDelegate reservereportdelegate)
| Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified are set to default values. More...
void | Init (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate)
| Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values. More...
void | Init (object obj, ReportDelegate reportdelegate)
| Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems. More...
void | Init (object obj, ReportDelegate reportdelegate, ReserveReportErrorDelegate reservereportdelegate)
| Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems. More...
void | ResetLevels ()
| Resets the various kinds of reporting levels to default values. More...
EventLogEntryType | ReportType2EventLogEntryType (ReportType rt)
| Returns the System.Diagnostics.EventLogEntryType value corresponding to the given ReportType. Remark: FailureAudit and SuccessAudit can not be generated because they don't have representation in ReportType. More...
ReportType | EventLogEntryType2ReportType (EventLogEntryType el)
| Returns the ReportType value corresponding to the given System.Diagnostics.EventLogEntryType. Remark: FailureAudit and SuccessAudit do not have representation in ReportType and are mapped to Error and Warning, respectively. More...
TraceLevel | ReportLevel2TraceLevel (ReportLevel level)
| Returns the System.Diagnostics.TraceLevel value corresponding to the given ReportLevel. More...
ReportLevel | TraceLevel2ReportLevel (TraceLevel tl)
| Returns the ReportLevel value corresponding to the given System.Diagnostics.TraceLevel. More...
void | Report (ReportType messagetype, string location, string message, Exception ex)
| Basic reporting method (overloaded). Launches an error report, a warning report or s kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance. More...
void | Report (ReportType messagetype, string message, Exception ex)
| Launches a report. Predominantly for error and warning reports. More...
void | Report (ReportType messagetype, Exception ex, string location)
| Launches a report. Predominantly for error and warning reports. More...
void | Report (ReportType messagetype, Exception ex)
| Launches a report. Predominantly for error and warning reports. More...
void | Report (ReportType messagetype, string location, string message)
| Launches a report. More...
void | Report (ReportType messagetype, string message)
| Launches a report. More...
void | ReportError (string location, string message, Exception ex)
| Basic error reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance. More...
void | ReportError (string message, Exception ex)
| Launches an error report. More...
void | ReportError (Exception ex, string location)
| Launches an error report. More...
void | ReportError (Exception ex)
| Launches an error report. Predominantly for error and warning reports. More...
void | ReportError (string location, string message)
| Launches an error report. More...
void | ReportError (string message)
| Launches an error report. More...
void | ReportWarning (string location, string message, Exception ex)
| Basic warning reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance. More...
void | ReportWarning (string message, Exception ex)
| Launches a warning report. More...
void | ReportWarning (Exception ex, string location)
| Launches a warning report. More...
void | ReportWarning (Exception ex)
| Launches a warning report. Predominantly for error and warning reports. More...
void | ReportWarning (string location, string message)
| Launches a warning report. More...
void | ReportWarning (string message)
| Launches a warning report. More...
void | ReportInfo (Exception ex)
| Launches an info. More...
void | ReportInfo (string location, string message)
| Launches an info. More...
void | ReportInfo (string message)
| Launches an info. More...

## Properties
ReportLevel | ReportingLevel`[get, set]`
| Gets or sets level of output for reporting (console output, message boxes, etc.). More...
ReportLevel | LoggingLevel`[get, set]`
| Gets or sets level of output for logging (writing to log files). More...
ReportLevel | TracingLevel`[get, set]`
| Gets or sets trace level (for external trace systems). More...
bool | TreatError`[get]`
| Returns a boolean value indicating whether errors are treated by the reporter in its current state. More...
bool | TreatWarning`[get]`
| Returns a boolean value indicating whether warnings are treated by the reporter in its current state. More...
bool | TreatInfo`[get]`
| Returns a boolean value indicating whether info messages are treated by the reporter in its current state. More...
bool | TreatUndefined`[get]`
| Returns a boolean value indicating whether undefined messages with the lowest priority are treated by the reporter in its current state. More...
ReportLevel | Level`[get, set]`
| Gets the level with the lowesst priority (out of reporting, logging and tracing level), or sets all levels to the assigned level. More...
bool | this[ReportLevel level]`[get, set]`
| Indexer that returns true if messages of a given level are treated by the reporter (either by the reporting, logging or tracing part, according to the corresponding level states), or false if not (i.e. if all the levels are set lover than the index). In the case of assignment, when true is assigned, all levels that are set lower than the are set to index. Assignment with false should be used only exteptionally; but in this case all levels that are set higher or equal than the index are set one level below. More...
TraceSwitch | ReportingSwitch`[get, set]`
| Gets or sets the TraceSwitch that is synchronized with ReportingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the ReportingLevel, which will override its settings). More...
TraceSwitch | LoggingSwitch`[get, set]`
| Gets or sets the TraceSwitch that is synchronized with LoggingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the LoggingLevel, which will override its settings). More...
TraceSwitch | TracingSwitch`[get, set]`
| Gets or sets the TraceSwitch that is synchronized with TracingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the TracingLevel, which will override its settings). More...
object | Obj`[get, set]`
| Auxiliary object used by the delegates that perform error reporting. The object is used to provide additional information used in error reporting, or to provide objects that perform some actions in error reporting tasks, or both. It is left entirely to error reporting delegates to interpret the object'result contents. More...
object | lockobj`[get]`
| Object used for locking. More...

## Detailed Description

Interface from which all reporters inherit.

$A Igor Aug08;

## Member Function Documentation

void IG.Lib.Old.IReporter.Init | ( |  | ) |

Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.Init | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  |

Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified are set to default values.

Parameters

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  locationdelegate | Delegate that is called to assemble the error location string. The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  messagedelegate | Delegate that is called to assemble the error message (without decorations). The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.Init | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate
| ) |  |

Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.Init | ( | object | obj,
|  | ReportDelegate | reportdelegate
| ) |  |

Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.Init | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  |

Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems.

Parameters

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ResetLevels | ( |  | ) |

Resets the various kinds of reporting levels to default values.

Implemented in IG.Lib.Old.Reporter.

EventLogEntryType IG.Lib.Old.IReporter.ReportType2EventLogEntryType | ( | ReportType | rt | ) |

Returns the System.Diagnostics.EventLogEntryType value corresponding to the given ReportType. Remark: FailureAudit and SuccessAudit can not be generated because they don't have representation in ReportType.

Parameters

  level | ReportType value to be converted.

Returns
  Converted value of type EventLogEntryType.

Implemented in IG.Lib.Old.Reporter.

ReportType IG.Lib.Old.IReporter.EventLogEntryType2ReportType | ( | EventLogEntryType | el | ) |

Returns the ReportType value corresponding to the given System.Diagnostics.EventLogEntryType. Remark: FailureAudit and SuccessAudit do not have representation in ReportType and are mapped to Error and Warning, respectively.

Parameters

  level | EventLogEntryType value to be converted.

Returns
  Converted value of type ReportType.

Implemented in IG.Lib.Old.Reporter.

TraceLevel IG.Lib.Old.IReporter.ReportLevel2TraceLevel | ( | ReportLevel | level | ) |

Returns the System.Diagnostics.TraceLevel value corresponding to the given ReportLevel.

Parameters

  level | ReportLevel value to be converted.

Returns
  Converted value of type TraceLevel.

Implemented in IG.Lib.Old.Reporter.

ReportLevel IG.Lib.Old.IReporter.TraceLevel2ReportLevel | ( | TraceLevel | tl | ) |

Returns the ReportLevel value corresponding to the given System.Diagnostics.TraceLevel.

Parameters

  level | TraceLevel value to be converted.

Returns
  Converted value of type ReportLevel.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  |

Basic reporting method (overloaded). Launches an error report, a warning report or s kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters

  messagetype | The type of the report (e.g. Error, Warning, etc.).
  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.Report | ( | ReportType | messagetype,
|  | string | message,
|  | Exception | ex
| ) |  |

Launches a report. Predominantly for error and warning reports.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.Report | ( | ReportType | messagetype,
|  | Exception | ex,
|  | string | location
| ) |  |

Launches a report. Predominantly for error and warning reports.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.Report | ( | ReportType | messagetype,
|  | Exception | ex
| ) |  |

Launches a report. Predominantly for error and warning reports.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  |

Launches a report.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.Report | ( | ReportType | messagetype,
|  | string | message
| ) |  |

Launches a report.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User provided message included in the report.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportError | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  |

Basic error reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters

  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportError | ( | string | message,
|  | Exception | ex
| ) |  |

Launches an error report.

Parameters

  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportError | ( | Exception | ex,
|  | string | location
| ) |  |

Launches an error report.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportError | ( | Exception | ex | ) |

Launches an error report. Predominantly for error and warning reports.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportError | ( | string | location,
|  | string | message
| ) |  |

Launches an error report.

Parameters

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportError | ( | string | message | ) |

Launches an error report.

Parameters

  message | User provided message included in the report.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportWarning | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  |

Basic warning reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters

  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportWarning | ( | string | message,
|  | Exception | ex
| ) |  |

Launches a warning report.

Parameters

  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportWarning | ( | Exception | ex,
|  | string | location
| ) |  |

Launches a warning report.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportWarning | ( | Exception | ex | ) |

Launches a warning report. Predominantly for error and warning reports.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportWarning | ( | string | location,
|  | string | message
| ) |  |

Launches a warning report.

Parameters

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportWarning | ( | string | message | ) |

Launches a warning report.

Parameters

  message | User provided message included in the report.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportInfo | ( | Exception | ex | ) |

Launches an info.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportInfo | ( | string | location,
|  | string | message
| ) |  |

Launches an info.

Parameters

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

Implemented in IG.Lib.Old.Reporter.

void IG.Lib.Old.IReporter.ReportInfo | ( | string | message | ) |

Launches an info.

Parameters

  message | User provided message included in the report.

Implemented in IG.Lib.Old.Reporter.

## Property Documentation

ReportLevel IG.Lib.Old.IReporter.ReportingLevel
| get set

Gets or sets level of output for reporting (console output, message boxes, etc.).

ReportLevel IG.Lib.Old.IReporter.LoggingLevel
| get set

Gets or sets level of output for logging (writing to log files).

ReportLevel IG.Lib.Old.IReporter.TracingLevel
| get set

Gets or sets trace level (for external trace systems).

bool IG.Lib.Old.IReporter.TreatError
| get

Returns a boolean value indicating whether errors are treated by the reporter in its current state.

bool IG.Lib.Old.IReporter.TreatWarning
| get

Returns a boolean value indicating whether warnings are treated by the reporter in its current state.

bool IG.Lib.Old.IReporter.TreatInfo
| get

Returns a boolean value indicating whether info messages are treated by the reporter in its current state.

bool IG.Lib.Old.IReporter.TreatUndefined
| get

Returns a boolean value indicating whether undefined messages with the lowest priority are treated by the reporter in its current state.

ReportLevel IG.Lib.Old.IReporter.Level
| get set

Gets the level with the lowesst priority (out of reporting, logging and tracing level), or sets all levels to the assigned level.

bool IG.Lib.Old.IReporter.this[ReportLevel level]
| get set

Indexer that returns true if messages of a given level are treated by the reporter (either by the reporting, logging or tracing part, according to the corresponding level states), or false if not (i.e. if all the levels are set lover than the index). In the case of assignment, when true is assigned, all levels that are set lower than the are set to index. Assignment with false should be used only exteptionally; but in this case all levels that are set higher or equal than the index are set one level below.

Parameters

  level | Level for which we are interested whether it is treated.

Returns
  True if a specific level (stated as index) is treated, false if not (i.e. if all of the reporting, logging )

TraceSwitch IG.Lib.Old.IReporter.ReportingSwitch
| get set

Gets or sets the TraceSwitch that is synchronized with ReportingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the ReportingLevel, which will override its settings).

TraceSwitch IG.Lib.Old.IReporter.LoggingSwitch
| get set

Gets or sets the TraceSwitch that is synchronized with LoggingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the LoggingLevel, which will override its settings).

TraceSwitch IG.Lib.Old.IReporter.TracingSwitch
| get set

Gets or sets the TraceSwitch that is synchronized with TracingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the TracingLevel, which will override its settings).

object IG.Lib.Old.IReporter.Obj
| get set

Auxiliary object used by the delegates that perform error reporting. The object is used to provide additional information used in error reporting, or to provide objects that perform some actions in error reporting tasks, or both. It is left entirely to error reporting delegates to interpret the object'result contents.

object IG.Lib.Old.IReporter.lockobj
| get

Object used for locking.

The documentation for this interface was generated from the following file:

- igbase/0unsorted/ErrorOld.cs